ColumnCondition.CollectionInBound (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql3

## Class ColumnCondition.CollectionInBound

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition.Bound
  - - org.apache.cassandra.cql3.ColumnCondition.CollectionInBound

- Enclosing class:
    ColumnCondition

      public static class ColumnCondition.CollectionInBound
      extends ColumnCondition.Bound

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<Term.Terminal>` | `inValues`

    - ### Fields inherited from class org.apache.cassandra.cql3.ColumnCondition.Bound

      `column, operator`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appliesTo(Composite rowPrefix, ColumnFamily current, long now)` Validates whether this condition applies to `current`.
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.cassandra.cql3.ColumnCondition.Bound

      `collectionColumns, compareWithOperator, getCollectionElementValue, isSatisfiedByValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### inValues

          public final java.util.List<Term.Terminal> inValues

  - ### Method Detail

    - #### appliesTo

          public boolean appliesTo(Composite rowPrefix,
                          ColumnFamily current,
                          long now)
                            throws InvalidRequestException

      Description copied from class: `ColumnCondition.Bound`
      Validates whether this condition applies to `current`.
      Specified by:
        `appliesTo` in class `ColumnCondition.Bound`
      Throws:
        `InvalidRequestException`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation